{% extends 'bs.html.twig' %}


{% block body %}

    <div id="container" class="container-fluid">
        <div id="paddingWrapper" class="pane ui-layout-center">
            <div class="pane ui-layout-center">
                <div id="event_result">
                </div>
            </div>
            <div class="pane ui-layout-north">
                <a href="/admin" style="" class="btn btn-danger btn-xs" >back to admin</a>
                <span id="concepts_tree_history">
                </span>
            </div>
            {#
                                    <div class="pane ui-layout-south">
                                    </div>
                                    <div class="pane ui-layout-east">
                                    </div>
            #}
            <div class="pane ui-layout-west">
                <div id="concepts_tree">
                </div>
            </div>
            {#
                                    <div class="container-fluid">
                                            <div class="row">
                                                    <div class="col-lg-3">
                                                    </div>
                                                    <div class="col-lg-9">
                                                            <div id="event_result">
                                                            </div>
                                                    </div>
                                            </div>
                                    </div>
            #}
        </div>
    </div>
{% endblock %}

{% block stylesheets %}

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.css" 
          integrity="sha256-p6xU9YulB7E2Ic62/PX+h59ayb3PBJ0WFTEQxq0EjHw=" crossorigin="anonymous" />
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jstree/3.3.8/themes/default/style.min.css" />
    <link rel="stylesheet" type="text/css" href="http://layout.jquery-dev.com/lib/css/layout-default-latest.css" />
    <link rel="stylesheet" href="/treehelper.css"/>
    <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/x-editable/1.5.0/bootstrap3-editable/css/bootstrap-editable.css"/>

    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/3.4.8/select2.min.css" rel="stylesheet">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/3.4.8/select2-bootstrap.min.css" rel="stylesheet">


{% endblock %}

{% block javascripts %}

    <script src="https://code.jquery.com/jquery-1.12.4.js"
    integrity="sha256-Qw82+bXyGq6MydymqBxNPYTaUXXq7c8v3CwiYwLLNXU=" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.js"></script>
    <script type="text/javascript" src="http://layout.jquery-dev.com/lib/js/jquery.layout-latest.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jstree/3.3.8/jstree.min.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/x-editable/1.5.0/bootstrap3-editable/js/bootstrap-editable.min.js"></script>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/3.4.8/select2.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/3.4.8/select2_locale_el.min.js"></script>
    <script src="/treehelper.js"></script>

    {% if visit  %}
        <script>
            $(document).ready(function () {
                var tree = $('#concepts_tree');
                tree.on('state_ready.jstree', function (e, data) {

                    if ($('#concepts_tree').jstree(true).get_node({{ visit }})) {
                        $('#concepts_tree').jstree(true).select_node({{ visit }});
                        $('#concepts_tree').jstree(true).activate_node({{ visit }});
                    } else {
                        $.ajax({
                            url: '/concept/parents/' + {{ visit }},
                            type: "POST",
                            success: _load_tree_nodes,
                            error: function (response) {
                                console.log('ajax failed: 5');
                            }
                        });
                    }


                    //$('#event_result').load('/concepts/view/' + $("#concepts_tree").jstree(true).get_selected()[0])
                });

            });
        </script>
    {% endif %},
{% endblock %}
